[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIndexDef.Create

Create a new index definition

## Declaration

Source position: db.pas line 1001

`public constructor TIndexDef.Create(`
`Owner: TIndexDefs;`
`const AName: string;`
`const TheFields: string;`
`TheOptions: TIndexOptions`
`); overload;`

## Arguments

`Owner` |  | TIndexDefs Collection to which new instance must be added.
`AName` |  | Name for the new index. Each name may appear only once in the collection.
`TheFields` |  | Fields that make up the index
`TheOptions` |  | Options for the index

## Description

Create initializes a new TIndexDef instance with the AName value as the index name, AField as the fields making up the index, and TheOptions as the options. Owner should be the TIndexDefs instance to which the new TIndexDef can be added.

## Errors

If an index with name AName already exists in the collection, an exception will be raised.

## See also

TIndexDefs |  | A class to keep a list of index definitions
TIndexDef.Options |  | Index options
TIndexDef.Fields |  | Fields making up the index

Documentation generated on: Feb 26 2014